/*
 * TagLibraryInfo.java
 * 
 * Copyright (c) 1999,2000 by Free Software Foundation, Inc.
 * Written by Wes Biggs (wes@cacas.org)
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU Library General Public License as published
 * by the Free Software Foundation, version 2. (see COPYING.LIB)
 *
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software Foundation  
 * Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307 USA
 *
 * 06.09.2000 Carsten Heyl (alph@gjt.org):
 * Removed real parsing stuff, this class should only store 
 * some attributes. Based on jsp1_1pr.
 *
 */

package javax.servlet.jsp.tagext;

public class TagLibraryInfo {
    protected String prefix;
    protected String uri;
    protected TagInfo tags[];
    protected String tlibversion;
    protected String jspversion;
    protected String shortname;
    protected String urn;
    protected String info;

    public TagLibraryInfo(String prefix, String uri) {
	this.prefix = prefix;
	this.uri = uri;
    }

    public String getPrefixString() {
	return prefix;
    }

    public String getShortName() {
	return shortname;
    }

    public String getReliableURN() {
	return urn;
    }

    public String getInfoString() {
	return info;
    }

    public String getRequiredVersion() { 
	return jspversion;
    }

    public TagInfo getTag(String name) {
	if(tags != null) {
	    for (int i = 0; i < tags.length; i++) {
	        if (tags[i].getTagName().equals(name)) return tags[i];
	    }
	}
	return null;
    }

    public TagInfo[] getTags() {
    	return tags;
    }

    public String getURI() {
	return uri;
    }
}
